Package org.zkoss.zul

## Interface SingleValueCategoryModel

- All Superinterfaces:
    `ChartModel`
  All Known Subinterfaces:
    `PieModel`
  All Known Implementing Classes:
    `SimplePieModel`, `SimpleSingleValueCategoryModel`

      public interface SingleValueCategoryModel
      extends ChartModel

  A Pie chart data model.
  Author:
    henrichen
  See Also:
    `Chart`, `SimpleSingleValueCategoryModel`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` | clear the model.
    `java.util.Collection<java.lang.Comparable<?>>` | `getCategories()` | Get categories as a collection.
    `java.lang.Comparable<?>` | `getCategory​(int index)` | Get category of the specified index (0 based).
    `java.lang.Number` | `getValue​(java.lang.Comparable<?> category)` | Get value of the specified category.
    `void` | `removeValue​(java.lang.Comparable<?> category)` | remove the value of the specified category.
    `void` | `setValue​(java.lang.Comparable<?> category, java.lang.Number value)` | add or update the value of a specified category.

    - ### Methods inherited from interface org.zkoss.zul.ChartModel

      `addChartDataListener, removeChartDataListener`

- - ### Method Detail

    - #### getCategory

          java.lang.Comparable<?> getCategory​(int index)

      Get category of the specified index (0 based).
      Parameters:
        `index` - the index of the category.

    - #### getCategories

          java.util.Collection<java.lang.Comparable<?>> getCategories()

      Get categories as a collection.

    - #### getValue

          java.lang.Number getValue​(java.lang.Comparable<?> category)

      Get value of the specified category.
      Parameters:
        `category` - the pie category.

    - #### setValue

          void setValue​(java.lang.Comparable<?> category,
                        java.lang.Number value)

      add or update the value of a specified category.
      Parameters:
        `category` - the pie category.
        `value` - the pie value.

    - #### removeValue

          void removeValue​(java.lang.Comparable<?> category)

      remove the value of the specified category.
      Parameters:
        `category` - the pie category.

    - #### clear

          void clear()

      clear the model.